##### GENERAL STUFF #####
%define version    0.3.4
%define release    %mkrel 1

Name:    teewars
Summary:  Cute little buggers with guns
Version:  %{version}
Release:  %{release}
License:  BSD
URL:    http://www.teewars.com/
Group:    Games/Arcade
Source0:  %{name}-%{version}-src.tar.bz2
# teewars build-system (http://www.teewars.com/files/bam.zip):
Source1:  bam.zip
BuildRequires:  ImageMagick
BuildRequires:  python mesaglu-devel libalsa-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot


##### DESCRIPTION #####
%description
Teewars is a freeware online multiplayer game, designed as a
crossover between Quake and Worms. Set on platform-based maps,
players control a cute little bugger with guns to take out as
many opponents as possible.
The characters can jump but move more quickly using a grappling
hook, swinging through the levels. It can also be used to lock
other players to keep them near.

The game uses OpenGL for graphics acceleration.

Author: Magnus Auvinen


##### PREP #####
%prep
%setup -q -a1 -n %{name}-%{version}-src

# Change path of games-data in several files:
sed -i 's!data/!%{_gamesdatadir}/%{name}/data/!' \
  datasrc/teewars.ds \
  src/editor/editor.cpp \
  src/engine/e_map.c \
  src/engine/client/ec_client.c \
  src/engine/client/ec_gfx.c \
  src/engine/server/es_server.c \
  src/game/client/gc_skin.cpp
# Compile build-system:
cd bam
./make_unix.sh


##### BUILD #####
%build
bam/src/bam release


##### INSTALL #####
%install
rm -rf %{buildroot}

# Copying executable-files manually:
mkdir -p %{buildroot}%{_gamesbindir}
cp teewars* %{buildroot}%{_gamesbindir}
# Copying games-data manually:
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
cp -R data %{buildroot}%{_gamesdatadir}/%{name}

# Creation of *.desktop-file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=Teewars
GenericName=Arcade Game
Comment=Teewars - %{summary}
Icon=%{name}.png
Exec=%{name}
Terminal=false
StartupNotify=false
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

# Icons for rpmlint (use 3rd icon-layer only)
mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
convert -scale 16x16 other/icons/Teewars.ico[3] %{buildroot}/%{_miconsdir}/%{name}.png
convert -scale 32x32 other/icons/Teewars.ico[3] %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 48x48 other/icons/Teewars.ico[3] %{buildroot}/%{_liconsdir}/%{name}.png


##### POST & POSTUN  #####
%post
%update_menus

%postun
%clean_menus


##### CLEAN #####
%clean
rm -rf %{buildroot}


##### FILE LIST #####
%files
%defattr(-,root,root)
%doc license.txt readme.txt
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*


##### CHANGELOG #####
%changelog
* Tue Feb 03 2009 tigger-gg <rpm@mandrivauser.de> 0.3.4-1mud2009.0
- Rebuild for x86_64

* Mon Oct 20 2008 Oliver Burger <rpm@mandrivauser.de> 0.3.4-1mud2009.0
- Rebuild for 2009.0

* Fri Apr 11 2008 Oliver Burger <rpm@mandrivauser.de> 0.3.4-1mud2008.1
- rebuild for 2008.1

* Wed Feb 20 2008 Oliver Burger <rpm@mandrivauser.de> 0.3.4-1mud2008.0
- rebuild for MUde

* Sun Feb 17 2008 MaxiPunkt <email@domain.de> 0.3.4-1max
- First built for Mandriva
